Sales registrations
Register sales with the date of sales and customer details to maintain an accurate warranty status of your device.
Request
Body parameters
Set true to validate the request without applying changes. Set false to valiate and execute sales registration.
Turn on this flag for development, testing or debugging. Because sales registration cannot be reversed, it is always safe to set isDryRun to true unless you are absolutely sure to execute the sales registration.
List of serial numbers with details to do sales registration.
Show child attributes
Serial number of the device.
The date when the device was sold to the end customer.
The customer who purchased the device.
Email address of the purchasing customer.
Response
A json is returned in the response body with the following fields:
HTTP status of the sales registration request.
200— All sales registrations are completed successfully.207— One or more records are completed successfully while at least one or more records are also failed.400— One or more records are with invalid, usually invalid formats or the device and sales date are invalid to register.
An array of json showing the registration results. Each item in the array contains the following fields:
Show child attributes
Serial number of the device.
Product code (sku) of the device. null if the sn is invalid.
Product name of the device. null if the sn is invalid.
Email address of the purchasing customer.
The customer who purchased the device.
The date when the device was sold to the end customer.
Validation error for the serial number. null if the serial number is valid to register sales.
SN_INVALID— The serial number is invalid.ACCOUNT_NOT_ELIGIBLE— You are not eligible to register sales for the device.SN_NOT_APPLICABLE_TO_REGISTER_SALES— The serial number is not applicable for sales registration.SN_SALES_REGISTERED— The serial number is already sales-registered.SALES_DATE_CANNOT_BE_EARLIER_THAN_PURCHASE_DATE— The sales date cannot be earlier than the purchase date.SALES_DATE_CANNOT_BE_2_YEARS_LATER_THAN_PURCHASE_DATE— The sales date cannot be 2 years later than the purchase date.SALES_DATE_CANNOT_BE_14_DAYS_LATER_THAN_TODAY— The sales date cannot be 14 days later than today.SALES_DATE_CANNOT_BE_1_YEAR_EARLIER_THAN_TODAY— The sales date cannot be 1 year earlier than today.SALES_REGISTRATION_DATE_CANNOT_BE_2_YEARS_LATER_THAN_PURCHASE_DATE— The sales registration date cannot be 2 years later than the purchase date.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/devices/sales-registrations' \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json' \ --data-raw '{ "isDryRun": true, "registrations": [ { "sn": "xxxx-xxxx-xxx1", "salesDate": "2025-11-21", "soldTo": "customername", "soldToEmail": "[email protected]" }, { "sn": "xxxx-xxxx-xxx2", "salesDate": "2025-11-21", "soldTo": "customername", "soldToEmail": "[email protected]" } ]}'Response
{
"status": "207",
"registrationResults": [
{
"sn": "xxxx-xxxx-xxx1",
"sku": "TMP-123",
"productName": "product1name",
"soldToEmail": "[email protected]",
"soldTo": "customername",
"salesDate": "2025-11-21",
"validationError": null
},
{
"sn": "xxxx-xxxx-xxx2",
"sku": "TMP-456",
"productName": "product2name",
"soldToEmail": "[email protected]",
"soldTo": "customername",
"salesDate": "2025-11-21",
"validationError": "ACCOUNT_NOT_ELIGIBLE"
}
]
}